Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2018-10-15, 20:09:13

Author Topic: [UPDATE] Kloxo 6.5.1.b to 2014042902 (resolved MariaDB issue)  (Read 4840 times)

0 Members and 1 Guest are viewing this topic.

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Some users want install MariaDB instead MySQL. There some trouble with Kloxo-MR itself for this situation.

Solution for this situation:
Code: [Select]
cd /
yum clean all

## update Kloxo-MR
yum update kloxomr

## install php54s
sh /script/php54s-installer
## set lxphp.exe using php54s
sh /script/fixlxphpexe php54s
## restart Kloxo-MR
sh /script/restart

## switch mysql to mariadb; will show message for modified /etc/yum.repos.d/mratwork.repo
sh /script/mysql-to-mariadb

Kloxo-MR not work for php53s + mariadb combination because php53s (taken from php53u from IUS repo) compile with '--with-mysqli=shared,/usr/mysql_config' (aka libmysqlclient).

Kloxo-MR code use mysqli functions instead mysql functions (still use by Kloxo Official).

PHP 5.3 already have mysqlnd module where MariaDB not compatible with mysqli if compile with  '--with-mysqli=shared,/usr/mysql_config' but need '--with-mysqli=mysqlnd'.

PhpMyAdmin still show warning about libmysqlclient not match but avoided this warning.

The reason for change mysql function to mysqli function is mysql function deprecated in php 5.5 and remove in php 5.6.

I have a plan to change mysqli functions to pdo_mysql in c (candidate) or f (final) release of Kloxo-MR 6.5.1.

NOTE:
- If php54s stable for Kloxo-MR panel and in 6.5.1.c will be as 'default' lxphp.exe (instead php53s)
- This update also fixed custombutton issue.
« Last Edit: 2014-04-29, 14:39:08 by MRatWork »
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline poetra

  • Junior Member
  • *
  • Posts: 9
  • Karma: +0/-0
    • View Profile
Here the result, there are 7 error (7 pre-existing rpmdb problem(s)), is it normal?
Code: [Select]
*** Change MySQL to MariaDB - begin ***
Loaded plugins: fastestmirror, priorities, protectbase, replace
Cleaning repos: base extras mratwork-centalt mratwork-epel
              : mratwork-google-mod-pagespeed mratwork-ius mratwork-litespeed
              : mratwork-litespeed-update mratwork-mariadb-64
              : mratwork-release-neutral-noarch mratwork-release-version-arch
              : mratwork-testing-neutral-noarch mratwork-testing-version-arch
              : mratwork-varnish-3.0 updates
Cleaning up Everything
Cleaning up list of fastest mirrors
Update Services Branch List
- List for 'dns' branch
- List for 'httpd' branch
- List for 'mysql' branch
- List for 'nginx' branch
- List for 'php' branch
- List for 'qmail' branch
- List for 'webcache' branch

Loaded plugins: fastestmirror, priorities, protectbase, replace
Cleaning repos: base extras mratwork-centalt mratwork-epel
              : mratwork-google-mod-pagespeed mratwork-ius mratwork-litespeed
              : mratwork-litespeed-update mratwork-mariadb-64
              : mratwork-release-neutral-noarch mratwork-release-version-arch
              : mratwork-testing-neutral-noarch mratwork-testing-version-arch
              : mratwork-varnish-3.0 updates
Cleaning up Everything
Cleaning up list of fastest mirrors
Loaded plugins: fastestmirror, priorities, protectbase, replace
Setting up Remove Process
No Match for argument: mysql*.i386
Determining fastest mirrors
 * mratwork-epel: kartolo.sby.datautama.net.id
 * mratwork-ius: hkg.mirror.rackspace.com
        0 packages excluded due to repository protections
No Packages marked for removal
Loaded plugins: fastestmirror, priorities, protectbase, replace
Setting up Remove Process
No Match for argument: mysql*.i686
Loading mirror speeds from cached hostfile
 * mratwork-epel: kartolo.sby.datautama.net.id
 * mratwork-ius: hkg.mirror.rackspace.com
0 packages excluded due to repository protections
Package(s) mysql*.i686 available, but not installed.
No Packages marked for removal
- Remove MySQL packages
warning: /var/log/mysqld.log saved as /var/log/mysqld.log.rpmsave
warning: /etc/my.cnf saved as /etc/my.cnf.rpmsave
rpm: no packages given for erase
- Install MariaDB
Loaded plugins: fastestmirror, priorities, protectbase, replace
Loading mirror speeds from cached hostfile
 * mratwork-epel: kartolo.sby.datautama.net.id
 * mratwork-ius: hkg.mirror.rackspace.com
0 packages excluded due to repository protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package MariaDB-client.x86_64 0:10.0.10-1.el6 will be installed
---> Package MariaDB-common.x86_64 0:10.0.10-1.el6 will be installed
---> Package MariaDB-compat.x86_64 0:10.0.10-1.el6 will be installed
---> Package MariaDB-server.x86_64 0:10.0.10-1.el6 will be installed
---> Package MariaDB-shared.x86_64 0:10.0.10-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch       Version            Repository               Size
================================================================================
Installing:
 MariaDB-client     x86_64     10.0.10-1.el6      mratwork-mariadb-64      11 M
 MariaDB-common     x86_64     10.0.10-1.el6      mratwork-mariadb-64      23 k
 MariaDB-compat     x86_64     10.0.10-1.el6      mratwork-mariadb-64     2.7 M
 MariaDB-server     x86_64     10.0.10-1.el6      mratwork-mariadb-64      52 M
 MariaDB-shared     x86_64     10.0.10-1.el6      mratwork-mariadb-64     1.3 M

Transaction Summary
================================================================================
Install       5 Package(s)

Total download size: 67 M
Installed size: 277 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           694 kB/s |  67 MB     01:38
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
[b]** Found 7 pre-existing rpmdb problem(s), 'yum check' output follows:[/b]
courier-authlib-toaster-0.59.2-1.3.12.mr.el6.x86_64 has missing requires of libmysqlclient.so.18()(64bit)
courier-authlib-toaster-0.59.2-1.3.12.mr.el6.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
qmail-toaster-1.03-1.3.38.mr.el6.x86_64 has missing requires of libmysqlclient.so.18()(64bit)
qmail-toaster-1.03-1.3.38.mr.el6.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
vpopmail-toaster-5.4.33-1.4.3.mr.el6.x86_64 has missing requires of libmysqlclient.so.18()(64bit)
vpopmail-toaster-5.4.33-1.4.3.mr.el6.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_16)(64bit)
vpopmail-toaster-5.4.33-1.4.3.mr.el6.x86_64 has missing requires of mysql >= ('0', '5.0.22', None)
  Installing : MariaDB-common-10.0.10-1.el6.x86_64                          1/5
  Installing : MariaDB-compat-10.0.10-1.el6.x86_64                          2/5
  Installing : MariaDB-server-10.0.10-1.el6.x86_64                          3/5
  Installing : MariaDB-shared-10.0.10-1.el6.x86_64                          4/5
  Installing : MariaDB-client-10.0.10-1.el6.x86_64                          5/5
  Verifying  : MariaDB-compat-10.0.10-1.el6.x86_64                          1/5
  Verifying  : MariaDB-common-10.0.10-1.el6.x86_64                          2/5
  Verifying  : MariaDB-server-10.0.10-1.el6.x86_64                          3/5
  Verifying  : MariaDB-shared-10.0.10-1.el6.x86_64                          4/5
  Verifying  : MariaDB-client-10.0.10-1.el6.x86_64                          5/5

Installed:
  MariaDB-client.x86_64 0:10.0.10-1.el6  MariaDB-common.x86_64 0:10.0.10-1.el6
  MariaDB-compat.x86_64 0:10.0.10-1.el6  MariaDB-server.x86_64 0:10.0.10-1.el6
  MariaDB-shared.x86_64 0:10.0.10-1.el6

Complete!
- Restart MariaDB
 ERROR! MySQL server PID file could not be found!
Starting MySQL... SUCCESS!

 - Note: remove 'skip-innodb' from '/etc/my.cnf' and '/etc/my.cnf.d/my.cnf'.
   Need reboot!.

*** Change MySQL to MariaDB - end ***

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
For awhile, don't care about qmail-toaster warning. But what's about after using php54s + MariaDB.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline Spacedust

  • Super Grand Master
  • ****
  • Posts: 3,962
  • Karma: +1/-0
    • View Profile
/script/fixweb --server=slavename.domain.com still does not work !

The only problem is on master - it's related to some PHP settings. When I copy the same database from master to clean master server then it works right away so my database is fine.
« Last Edit: 2014-04-29, 22:20:12 by Spacedust »

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
1. If using php-branch, to make sure, your php.ini must have 'extension_dir=/usr/lib/php/modules'
2. If using phpm, reinstall them.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline Spacedust

  • Super Grand Master
  • ****
  • Posts: 3,962
  • Karma: +1/-0
    • View Profile
I'm using php-branch so changed /usr/lib64/php/modules to /usr/lib/php/modules and when going to customer on slave it still shows this alert...

There must be something wrong in these latest releases. Please investigate.

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Normally, Kloxo-MR create symlink for  /usr/lib/php/modules from /usr/lib64/php/modules (in 64bit server). So, it's the same.

If no symlink, we can create with 'ln -sf /usr/lib64/php /usr/lib/php'.

In phpXYm series, content of 'extension_dir = /usr/lib/php/modules' is crucial. If no exists or 'blank' content, lxphp.exe will show error (.so not found).
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

 


Top 10 Social Networking:    Facebook    Twitter    LinkedIn    Pinterest    Google Plus    Tumblr    Instagram    VK    Flickr    Vine

Page created in 0.058 seconds with 23 queries.

web stats analysis